Bilgi Merkezi

Hazır Siteler İçin Başlıca Güvenlik Önemleri ( WordPress, Joomla, Drupal )

Hazır temalı sitelerinizin sızma ve saldırılara maruz kalmasının temel sebepleri güvenlik tedbirlerinin alınmamış olmasından kaynaklanır.

Hazır sitelerin yaygın kullanılması kötü amaçlı kişileri bu platforma yönlendirmektedir. Bu da sizin daha tedbirli olmanız gerektiği anlamına gelir.

Sitenizi  özelleştirin. 

Yönetim paneli  giriş URL'leri genel olarak bilinir. "/admin, /wp_admin" Web sitesinin yönetim paneline buradan erişilir. Bu giriş sayfasının ismini değiştirin.


Giriş denemelerini kısıtlayın.

Başarısız giriş denemeleri için kilitleme özelliği büyük bir problemi çözebilir yani sürekli kaba kuvvet denemesi yapmayacaktır. Yinelenen yanlış parolalarla bir saldırı yapma denemesi olduğunda, site kilitlenir ve bu yetkisiz etkinlikten haberdar edilirsiniz. Güvenlik eklentilerinin bu işlemlerde başarılı sonuçlar verdiği bilinmektedir. Eklentiler birçok güvenlik konusunda size yardımcı olabilir. 


Web sitesinin şifrelerinizi düzenli olarak değiştirin.

Büyük ve küçük harfler, sayılar ve özel karakterler ekleyerek  güçlerini geliştirin. Şifrelerinizi oluştururken şifre üreticilerinden yardım alın.

Veritabanı tablo önekini değiştirin.

Hazır temaların kullandığı veritabanı tablolarında ön ekler bulunur.  Bu ekler  farklı ön ekleri ile değiştirebilir. Aynı zamanda veritabanınız içinde güçlü şifreler ayarlayın.


Sitenizi düzenli olarak yedekleyin.

Web siteniz ne kadar güvenli olursa olsun, istenmeyen durumların yaşanması halinde yedek bulundurmak, en iyi çözümlerden birisidir.


Sürüm numaranızı gizleyin.

Mevcut sürüm numaraları çok kolay bulunabilir. Bilinen sürüm numaraları saldırganın izleyeceği yol açısından önemlidir. Sürüm numaranızı bunun için özel geliştirilmiş eklentilerle gizleyin.


Sitenizi düzenli olarak güncelleyin.

Bu tür yazılımlar ürünün geliştiricileri tarafından desteklenir ve güncellenir. Bu güncellemeler, hataları düzeltmek için tasarlanmıştır ve bazen hayati güvenlik yamaları vardır. Çoğu zaman yapılan saldırı ve sızmalar güncellenmemiş sürümlerin bilinen açıkları üzerinden yapılır. Uygulama sürümünüz, eklenti ve tema sürümlerini güncel sürümlere yükseltmeniz siteniz açısından oldukça önemlidir.

İlgili Makaleler